%define name	atsar
%define ver	1.6
%define rel	103
%define prefix	/usr

Summary:	AT Computing System Activity Report is a sar clone for Linux
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
Copyright:	GPL
Group:		System/Daemons
Source0:	ftp://ftp.atcomputing.nl/pub/tools/linux/atsar_linux-1.6.tar.gz
Source1:	atsar-vk.init
URL:		ftp://ftp.atcomputing.nl/pub/tools/linux/
#Packager: 	Gerlof Langeveld <gerlof@ATComputing.nl> (based on X/OS version)
Vendor:		Gerlof Langeveld <gerlof@ATComputing.nl> (based on X/OS version)
Packager:	Volker Kuhlmann <VolkerKuhlmann@gmx.de>
Distribution:	SuSE Linux 8.2 contrib
ExclusiveOS:	Linux
BuildRoot:	/tmp/%{name}-%{version}-%{release}-%(id -u -n)
Autoreqprov:	on

%description
Atsar can be used to measure the load on the most relevant system resources,
such as CPU, disk, memory and network.  Long-term analysis can be done via
cron, by maintaining log files with statistical information.  Short-term
analysis can be done by starting the command atsar with an interval and
a number of samples.
The current version of atsar gathers statistics about the utilization
of CPU's, disks, memory and swap, serial lines and network (TCP/IP v4 and v6).

%prep
%setup -q -n atsar_linux-%{ver}

%build
for n in \
	scripts/* \
	man/* \
	atsar_linux.cron \
	include/atsar.h \
	; do
	sed < "$n" > "$n.1" 's:/usr/local:%{prefix}:g'
	diff "$n" "$n.1" || mv "$n.1" "$n"
done
make

%install
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" \
	&& rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/sbin
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/man/man1
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
install -m 0755 atsar/atsar atsadc/atsadc scripts/atsa1	\
                scripts/atsaftp scripts/atsahttp $RPM_BUILD_ROOT%{prefix}/bin
install -m 0644 man/* $RPM_BUILD_ROOT%{prefix}/share/man/man1/
install -m 0755 -d $RPM_BUILD_ROOT/var/log/atsar
#install -m 0755 atsar_linux.init $RPM_BUILD_ROOT/etc/init.d/atsar
cp -p $RPM_SOURCE_DIR/atsar-vk.init $RPM_BUILD_ROOT/etc/init.d/atsar
chmod 755 $RPM_BUILD_ROOT/etc/init.d/atsar
install -m 0644 atsar_linux.cron $RPM_BUILD_ROOT/etc/cron.d/atsar
install -m 0644 atsar_linux.conf $RPM_BUILD_ROOT/etc/atsar.conf
ln -s /etc/init.d/atsar $RPM_BUILD_ROOT%{prefix}/sbin/rcatsar

%clean
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" \
	&& rm -rf "$RPM_BUILD_ROOT"

%post
# Not sure whether we want to start this right now. If so, we should use the
# init script. -VK
#/sbin/chkconfig --add atsar
#rm    /var/log/atsar/atsa`date +%d` 2> /dev/null
#rm    /var/log/atsar/ftpstat        2> /dev/null
#rm    /var/log/atsar/httpstat       2> /dev/null
#touch /var/lock/subsys/atsar
#%{prefix}/bin/atsa1
echo Configure the names of FTP- and HTTP-logfiles in /etc/atsar.conf ....
echo If desired, change configuration in /etc/cron.d/atsar ....

%preun
#if [ $1 = 0 ]; then
#	/sbin/chkconfig --del atsar
#fi

%postun
rm -f /var/lock/subsys/atsar 2> /dev/null
sbin/insserv etc/init.d

%files
%defattr(-,root,root)
%doc README
%{prefix}/bin/*
%{prefix}/share/man/man1/*
%{prefix}/sbin/rcatsar
%dir /var/log/atsar
%config /etc/init.d/atsar
%config /etc/cron.d/atsar
%config /etc/atsar.conf

%changelog
* Sun Jun 01 2003 - Volker Kuhlmann <VolkerKuhlmann@gmx.de> - 1.6-103
- for SuSE 8.2
* Mon Feb 03 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Fixed some minor issues with the init script
* Fri Jan 24 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Repackaged for SuSE 8.1. Added proper startup script.
